apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-24-11-app
  labels:
    app: test-24-11-app
spec:
  selector:
    matchLabels:
      app: test-24-11-app
  replicas: 1
  template:
    metadata:
      labels:
        app: test-24-11-app
    spec:
      imagePullSecrets:
        - name: $IMAGE_PULL_SECRET
      containers:
        - name: test-24-11-app
          image: registry.gitlab.com/cc-grant-demo/test-24-11/test-24-11-app:master
          ports:
            - containerPort: 8080
              protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: test-24-11-app
  labels:
    app: test-24-11-app
spec:
  selector:
    app: test-24-11-app
  type: NodePort
  ports:
    - port: 8080
      targetPort: 8080
      name: http
      protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: test-24-11-app-lb
  labels:
    app: test-24-11-app
spec:
  selector:
    app: test-24-11-app
  type: LoadBalancer
  ports:
    - port: 80
      name: http-public
      targetPort: 8080
      protocol: TCP
